Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.mock
Class WsdlMockRunner

    java.lang.Object
      com.eviware.soapui.impl.wsdl.mock.WsdlMockRunner

All Implemented Interfaces:
  MockRunner

    public class WsdlMockRunner

extends java.lang.Object
implements MockRunner

MockRunner that dispatches Http Requests to their designated WsdlMockOperation if possible

Author:
  ole.matzura

Constructor Summary
`WsdlMockRunner(WsdlMockService mockService, WsdlTestRunContext context)`

Method Summary
`void` | `addMockResult(WsdlMockResult mockResult)`
`void` | `clearResults()`
`WsdlMockResult` | `dispatchRequest(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`long` | `getMaxResults()`
`WsdlMockRunContext` | `getMockContext()`
`MockResult` | `getMockResultAt(int index)`
`int` | `getMockResultCount()`
`WsdlMockService` | `getMockService()`
`void` | `release()`
`void` | `setMaxResults(long l)`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WsdlMockRunner

    public WsdlMockRunner(WsdlMockService mockService,
                          WsdlTestRunContext context)
                   throws java.lang.Exception

Throws:
  `java.lang.Exception`

Method Detail

### getMockContext

    public WsdlMockRunContext getMockContext()

### addMockResult

    public void addMockResult(WsdlMockResult mockResult)

### stop

    public void stop()

  Specified by:
    `stop` in interface `MockRunner`

### getMockService

    public WsdlMockService getMockService()

  Specified by:
    `getMockService` in interface `MockRunner`

### getMaxResults

    public long getMaxResults()

### setMaxResults

    public void setMaxResults(long l)

### dispatchRequest

    public WsdlMockResult dispatchRequest(javax.servlet.http.HttpServletRequest request,
                                          javax.servlet.http.HttpServletResponse response)
                                   throws DispatchException

  Specified by:
    `dispatchRequest` in interface `MockRunner`
  Throws:
    `DispatchException`

### getMockResultAt

    public MockResult getMockResultAt(int index)

  Specified by:
    `getMockResultAt` in interface `MockRunner`

### getMockResultCount

    public int getMockResultCount()

  Specified by:
    `getMockResultCount` in interface `MockRunner`

### clearResults

    public void clearResults()

### release

    public void release()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.